//бегущая строка
var s,t: string;
    i, n,k, l, d: longint;
begin
    readln(n, k);
    readln(s);
    for i:=1 to n do
       s:=' '+s;
    l:=length(s);
    for i:=1 to n do
       s:=s+' ';
    d:= k mod l + 1;
    t:=copy(s,d,n);
    writeln(t);
end.
 